View Issue Details

IDProjectCategoryView StatusLast Update
0001296ScribusStory Editor / Text Framespublic2005-01-06 22:25
Reporterklee Assigned Tofschmid  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSLinuxOS VersionDebian unstable
Product Version1.2.1cvs 
Target VersionFixed in Version1.2.1cvs 
Summary0001296: End key in right-aligned text is 1 char short
DescriptionThe end key in a two-paragraph right-aligned text moves the caret 1 char short.
Steps To Reproduce1. Have a text frame with two 1-line paragraphs of right-aligned text.
2. Put the carent into the first line.
3. Press the end key.

Expected result:
The caret is to the right of the last char in the 1st line.

Actual result:
The caret is to the left of the last char in the 1st line.
Additional InformationThis only applies to the first line, not the second (the last one).
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

cbradney

2004-11-09 00:40

administrator   ~0002834

Please upload sample file. Seems to work here.

2004-11-09 00:44

 

kung-fu-flyer.sla (54,426 bytes)

cbradney

2004-12-08 18:51

administrator   ~0003038

Please check with current CVS. Seems fine here.

cbradney

2004-12-12 15:19

administrator   ~0003118

Exists in the 1st frame in this doc.

cbradney

2005-01-05 20:15

administrator   ~0003357

Franz, this seems to relate to the soft return in the paragraph. Select the text, set font to say 50 and you will see the full text if you dont have the font. Hitting end will put the cursor before the u in Fu, which is followed by the soft return.

plinnell

2005-01-05 20:37

viewer   ~0003358

Confirmed here with using Caslon Pro as substitute font.

plinnell

2005-01-06 22:25

viewer   ~0003382

Tested fixed

Issue History

Date Modified Username Field Change
2004-11-08 23:56 klee New Issue
2004-11-09 00:40 cbradney Note Added: 0002834
2004-11-09 00:44 klee File Added: kung-fu-flyer.sla
2004-12-08 18:51 cbradney Note Added: 0003038
2004-12-12 15:19 cbradney Note Added: 0003118
2004-12-12 15:19 cbradney Status new => assigned
2004-12-12 15:19 cbradney Assigned To => fschmid
2005-01-05 20:15 cbradney Note Added: 0003357
2005-01-05 20:37 plinnell Note Added: 0003358
2005-01-06 19:06 fschmid Status assigned => resolved
2005-01-06 19:06 fschmid Fixed in Version => 1.2.1cvs
2005-01-06 19:06 fschmid Resolution open => fixed
2005-01-06 22:25 plinnell Note Added: 0003382
2005-01-06 22:25 plinnell Status resolved => closed
2007-05-23 21:31 christoph_s Relationship added child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames